*,:after,:before {
    box-sizing: inherit;
}

html {
    font-size: 16px;
    box-sizing: border-box;
    -webkit-text-size-adjust: 100%;
    height: 100%;
    display: block;
}

body {
    background: #000000;
    font-family: Helvetica, Arial, sans-serif;
    color: #ffffff;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

body.home {
    margin: 0;
    padding: 0;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

div.page-header {
    padding-top: 30px;
    padding-bottom: 30px;
    font-size: 20px;
    font-weight: bold;
}

div.page-header a,
div.page-header a:hover {
    color: white!important;
    text-decoration: none!important;
}


a {
    color: white!important;
    text-decoration: underline!important;
}

a:hover {
    color: white!important;
    text-decoration: none!important;
}

.content {
    display: flex;
    flex-direction: column;
    align-items: center;
}

h1 {
    font-size: 2.5rem;
    margin: 0;
    margin-bottom: 10px;
}

h2 {
    font-size: 1.5rem;
    margin: 0;
}

.toggle-code {
    display: inline-block;
    padding: .5em 1em;
    border-radius: 5px;
    font-size: .875rem;
    background: #10b981;
    top: 1em;
    right: 1em;
    color: #fff;
    font-weight: 500;
    -webkit-user-select: none;
    user-select: none;
    cursor: pointer
}

.toggle-code:hover {
    background: #0ea271
}

.toggle-code svg {
    display: inline-block;
    vertical-align: -15%;
    margin-right: .25em
}

@media (min-width: 1200px) {
    .container {
        width: 1170px;
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    .container {
        width: 970px;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .container {
        width: 750px;
    }
}

@media (max-width: 767px) {

}

.container {
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}

@media (min-width: 992px) {
    #activation-date-input,
    #inactivity-period-input,
    #inactivity-period-unit-select,
    #password-input,
    #password-confirm-input {
        width: 20%;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    #activation-date-input,
    #inactivity-period-input,
    #inactivity-period-unit-select,
    #password-input,
    #password-confirm-input {
        width: 30%;
    }
}

@media (max-width: 767px) {
    #activation-date-input,
    #inactivity-period-input,
    #inactivity-period-unit-select,
    #password-input,
    #password-confirm-input {
        width: 50%;
    }
}

.validation-error {
    background-color: rgb(244, 103, 117)!important;
}

.validation-error-details {
    font-family: Roboto,sans-serif;
    padding-bottom: 5px;
    font-size: 14px;
    color: rgb(244, 103, 117)!important;
}

.nice-form-group label {
    color: rgb(210, 210, 210)!important;
}

#loading {
    padding-top: 20px;
    padding-bottom: 20px;
    display: none;
}

#loading img {
  display: block;
  width: 50px;
  height: 50px;
  /* margin-left: auto;
  margin-right: auto; */
}

#decrypted-note-id-header,
#decrypted-note-text-div,
#encrypted-note-created {
    display: none;
}

.important-message {
    color: white;
    background-color: rgb(244, 103, 117)!important;
    border-width: 2px;
    border-radius: 5px;
    border-style: solid;
    border-color: white;
    padding: 20px;
    margin-top: 30px;
}

.important-message-blue {
    color: white;
    background-color: rgb(139 123 151)!important;
    border-width: 2px;
    border-radius: 5px;
    border-style: solid;
    border-color: white;
    padding: 20px;
    margin-top: 30px;
}



#note-id-created {
    font-size: 22px;
    padding-top: 30px;
    padding-bottom: 50px;
}

#note-id-span {
    font-size: 16px;
    font-weight: bold;
}

#decrypted-note-text-div {
    white-space: pre-wrap;
    border-width: 2px;
    border-radius: 5px;
    border-style: solid;
    border-color: white;
    padding: 20px;
    margin-top: 30px;
}

img.logo-home {
    width: 180px;
    padding-bottom: 30px;
}

.faq-question {
    padding-top: 20px;
    font-weight: bold;
    cursor: pointer;
}

.faq-answer {
    padding-top: 20px;
    padding-bottom: 20px;
    display: none;
    color: #aaaaaa;
}

#manage-note-owner-password-div {
    display: none;
}

#manage-note-details-div {
    padding-top: 30px;
    padding-bottom: 30px;
    display: none;
}

#submit-div-keep-alive,
#submit-div-delete {
    display: none;
}

.toggle-code-red {
    background-color: rgb(244, 103, 117)!important;
}